#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

class Menu
{
public:
	Menu();
	~Menu();
	bool isDead() const;
	void revive(bool permakill = false);
	void logic(float delta, const Vector2i mouse, bool& running, bool* keepRunning);
	void render(RenderTarget& target) const;
private:
	bool _dead;
	bool _permakilled;
	/**
	 * Who cares that sf has fonts and texts?
	 * Me neither.
	 */
	std::vector<Sprite*> _menu;
	std::vector<Sprite*> _number;
	Texture _badlyAllocatedBannerTexture;
	Texture _badlyAllocatedPlayTexture;
	Texture _badlyAllocatedQuitTexture;
	Texture _badlyAllocatedGaemoverTexture;
	Texture _badlyAllocatedRetryTexture;
	Texture _badlyAllocatedNumberTexture;
};